Subiject: Separate the different columns to avoid content mix up

Description

Thanks to the new backend_layout concept, you are able to create a backend like the design.
Due to the layout/colors used for both Columns and Content Elements, | find it really easy to get confused when a columns end (when
reading down). Look at attached image and read from column named "0" and down. You will find coloumn named "3" being easily

mixed up with normal content - at least that was what | did.

Could you guys imagine some kind of way to separate the columns or maybe change content elements colors to avoid this?

Related issues:

related to Core - Bug # 39967: mod.SHARED.colPos_list is not taken into accou... Resolved 2012-08-19
related to Core - Bug # 41659: Duplicate ids in form view on record translation Resolved 2012-10-07
History

#1 - 2012-06-13 18:41 - Fabien Udriot
#2 - 2012-06-13 21:02 - Jens Hoffmann
| would love to see a similar Box/Grid styling like in TV here.

Less Header Gradients :)

#3 - 2012-06-14 09:13 - Soren Malling
- File tv-content-styling.jpg added
- Assigned To set to Jens Hoffmann

Hi Jens,

Can you describe it a bit more (attached photo of templatevoila box/grids)
What parts would make it a nicer UI? | would love to invest the time on implementing this nicer look for 6.0 :)

#4 - 2012-06-14 14:36 - Jens Hoffmann
- File backend_layout-content-mixing.jpeg added

Here are some points what better done in the TV layout :)
Contrast is the key - Clear differentiation is the goal.
#5 - 2012-07-08 09:54 - Steffen Ritter

| personally hate the borders left of the columns intemplavoila because the look looks cluttered.

I would prefer white space between columns here and probably marking the border implicitly by raising the column with a very soft shadow.

#6 - 2012-07-09 14:02 - Jens Hoffmann
- Status changed from New to Needs Feedback

Steffen provide a layout for discussion -

or go for the TV solution, works well for me. :)

#7 - 2012-08-08 00:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#8 - 2012-08-08 00:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#9 - 2012-08-09 16:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#10 - 2012-08-10 08:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#11 - 2012-08-10 08:53 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13510

#12 - 2012-08-10 10:41 - Philipp Gampe
- File grid-view.png added

| second Steffen. On a more complex grid, it looks very cluttered now. It is hard to distinguish the columns, especially you can not see where a column

ends (this is unfortunately not visible in the current screenshot, because my screen is too small).

grid-view.png

#13 - 2012-08-10 11:03 - Jens Hoffmann

| looks good to me.

The border ist the only way to show real nesting.

#14 - 2012-08-10 11:53 - Philipp Gampe

| do not have time ATM to provide a suggestion, so just go ahead.

For the record, | would prefer to have real columns with a change in the background color or to have a background gradient or something like this.

#15 - 2012-08-10 12:17 - Felix Kopp

He Guys, | like the improvements!

1. Columns (left/middle/teaser’...)
-> 2. Content elements

But | still see a problem with the language view.
In language view there is a third dimension to consider:
1. Languages (en/nl/.../de)

-> 2. Columns (left/middle/teaser)

---> 3. Content elements

#16 - 2012-08-11 13:07 - Felix Kopp
- File before-patch-db_layout.png added
- File after-patch-checkout-db_layout.png added

Before patch, after patch

before-patch-db_layout.png
before, see column left in default lang

after-patch-checkout-db_layout.png

#17 - 2012-08-12 11:27 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/13510

#18 - 2012-08-18 15:35 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13510

#19 - 2012-08-19 00:26 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13510

#20 - 2013-03-06 02:21 - Felix Kopp

This issue can be closed since everything had been implemented.

#21 - 2013-03-08 12:49 - Jens Hoffmann

- Status changed from Needs Feedback to Closed
